<template>
  <div>
    <div v-if="listImage.type === 1" style="width:100%;text-align:center;">
      <img
        src="@/assets/img/LTK-logo-red.png"
        class="title_logo_img"
        style="width:100px;"
      />
      <br />
      <br />
      <img :src="listImage.avatar_url" class="avartar rounded-circle" />
      <h4>{{ listImage.blogger_name }}</h4>
      <div style="width: 100%; padding: 20px 0">
        <a data-toggle="lightbox" data-gallery="gallery">
          <drag :data="listImage">
            <img :src="listImage.hero_image" style="width: 150px" />
          </drag>
        </a>
      </div>
      <div class="line_input_search"></div>
      <div style="width:100%">
        <a v-for="(imageSub, index) in listImage.products" :key="index">
          <img
            @click="chooseImage(imageSub.image_url)"
            :src="imageSub.image_url"
            :style="
              imageSub.type == 1
                ? 'width:50px;height:50px;padding:2px;margin:2px;display: inline-block;border: 1px dashed;'
                : 'width:50px;height:50px;padding:2px;margin:2px;display: inline-block;'
            "
          />
        </a>
      </div>
    </div>
  </div>
</template>

<script>
import { Drag } from "vue-easy-dnd";
import { mapGetters } from "vuex";
export default {
  name: "blogist",
  props: ["listImage"],
  data() {
    return {
      error: "",
      sub_image: []
    };
  },
  components: {
    Drag
  },
  computed: {
    ...mapGetters(["GETTER_DATA_TOP_PICK"])
  },
  mounted() {
    if (this.listImage) console.log("nodata");
    else console.log("data", this.listImage);
  },
  methods: {
    chooseImage(image_url) {
      let index = this.GETTER_DATA_TOP_PICK.findIndex(
        e => e.id == this.listImage.id
      );
      if (index >= 0) {
        let id = this.GETTER_DATA_TOP_PICK[index].id;
        this.$store.dispatch("ACTION_INSERT_TOP_PICK_SUB_IMAGE", {
          id,
          image_url,
          index
        });
        this.$store.dispatch("ACTION_CHANGE_SUB_IMAGE", {
          id,
          image_url
        });
      }
    }
  }
};
</script>

<style scoped>
.title_logo_img {
  width: 100px;
}
.avartar {
  width: 50px;
  height: 50px;
  border-radius: 25px;
}

h4 {
  font-size: 1rem;
  font-weight: 400;
  letter-spacing: 0.4rem;
  margin: 5px 0 0;
  text-transform: uppercase;
  text-overflow: ellipsis;
  white-space: nowrap;
  overflow: hidden;
}

.line_input_search {
  height: 2px;
  width: 100%;
  background: #e3e3e3;
  margin-top: 16px;
  margin-bottom: 10px;
}

.guide {
  font-size: 12px;
  font-style: italic;
  color: #666;
}
</style>
